// vstelem2.cpp : Defines the entry point for the console application.
// Построить список символов, вводимых с клавиатуры.
//вставить перед каждым элементом с кратным двум номером сивол *.
#include "stdafx.h"
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>
struct rec{
       char inf;
       rec *p;};
void printsp(rec *first)
{rec *q;
 q=first;
 while (q!=NULL)
 { printf("%2c",q->inf);
   q=q->p;
  
 } 
 printf("\n");
 }
void main()
   {rec *first,*q,*p,*f;
    char s;int n;
    puts("Input symbols without space and ENTER  or CTRL-Z");
	s=getchar();
    first=new rec;
	first->p=NULL;
	 first->inf=s;
     p=first;
	 s=getchar();
	 while(s!=EOF){
       q=new rec;
       q->inf=s;
	   q->p=NULL;
	   p->p=q;     
       p=q;
	   s=getchar();
       }
	puts("Inputed Spisok");
      printsp(first);
	  q=first;p=q;
	  n=0;
	  while(q!=NULL)
	  { n++;
	    if(n%2==0)
		{   
			f=new rec;
			f->inf='*';
			p->p=f;
		    f->p=q;
		}
		p=q;
		q=q->p;
			
	  }
    puts("New spisok");
	printsp(first);
 // printf("\nIn Spisok %5d Elementov\n",count(first));
  
 }